Skip to main content
PUT
/
vault
/
accounts
/
{vaultAccountId}
TypeScript
const response: Promise<FireblocksResponse<RenameVaultAccountResponse>> = fireblocks.vaults.updateVaultAccount(vaultsApiUpdateVaultAccountRequest);
{
  "name": "<string>",
  "id": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://fireblocks-43c4b3ee-chore-add-cli.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Headers

Idempotency-Key
string

A unique identifier for the request. If the request is sent multiple times with the same idempotency key, the server will return the same response as the first request. The idempotency key is valid for 24 hours.

Path Parameters

vaultAccountId
string<numeric>
required

The ID of the vault account to edit

Body

application/json
name
string

Account Name

Response

OK

name
string

The new name of the vault account

id
string

The ID of the vault account